Subject: [bug#50072] [PATCH WIP 0/4] Add upstream updater for git-fetch origins.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 29 Sep 2021 23:28:57 +0200

Hi Sarah,

I just noticed I hadn’t answered this message…

Sarah Morgensen <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:

[...]

>> Sarah Morgensen <[email-masked]> skribis:
>>
>>> * guix/git-download.scm (checkout-to-store): New procedure.
>>> * guix/upstream.scm (guess-version-transform)
>>> (package-update/git-fetch): New procedures.
>>> (%method-updates): Add GIT-FETCH mapping.
>>
>> This LGTM.
>
> Thanks.  WDYT about pre-emptively adding support for non-url URIs as
> well?  That is,
>
> 1. change "urls" in <upstream-source> to "uri"
>
> 2. in 'git-fetch'
>
>   a) if the upstream-source-uri is a git-reference, just use it as-is
>      rather than guessing the tag
>
>   b) if it's not, return an 'upstream-source' with a git-reference URI 
>
> 3. update 'upstream-source-compiler' to work for git-reference URIs.
>
> If there are no objections, I think I'll make those changes and send
> that as a proper patch.

That sounds like a good idea.  We’ll need to check users of
‘upstream-source-urls’ & co. and see whether/how they can deal with
generalized “URIs”.

That said, perhaps it can come after this patch series, which I think
was mostly waiting on ‘package-definition-location’ initially?

Thanks,
Ludo’.